#include <string>

using std::string;

#include "classes.hh"

class Mode
{
	defclassvar(bool,   nega, bool,           isnega)
	defclassvar(char,   mode, char,           getmode)
	defclassvar(string, parm, const string &, getparm)
public:
	Mode(bool n, char m, const string &p = ""): nega(n), mode(m), parm(p) { }
	
	void setparm(const string &s);
	
	bool needsparm() const;
	bool operator== (const Mode &b) const;
	inline bool operator!= (const Mode &b) const { return ! operator==(b); }
	
	void dump() const;
};
